- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::Pam::Error Class Reference

An exception class used by G::Pam. More...

`#include <gpam.h>`

Inheritance diagram for G::Pam::Error:

## Public Member Functions
| Error (const std::string &op, int pam_error)
| Error (const std::string &op, int pam_error, const char *)
Public Member Functions inherited from G::Exception
| Exception ()
| Default constructor. More...
| Exception (const char *what)
| Constructor. More...
| Exception (const std::string &what)
| Constructor. More...
| Exception (const char *what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor. More...
virtual | ~Exception () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Override from std::exception. More...
void | prepend (const char *context)
| Prepends context to the what string. More...
void | append (const char *more)
| Appends 'more' to the what string. More...
void | append (const std::string &more)
| Appends 'more' to the what string. More...

## Public Attributes
int | m_pam_error

## Additional Inherited Members
Protected Attributes inherited from G::Exception
std::string | m_what

## Detailed Description

An exception class used by G::Pam.

Definition at line 72 of file gpam.h.

## Constructor & Destructor Documentation

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error
| ) |  |

Definition at line 27 of file gpam.cpp.

References G::Exception::append(), G::Str::fromInt(), G_DEBUG, and G::Exception::m_what.

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error,
|  | const char * | more
| ) |  |

Definition at line 36 of file gpam.cpp.

References G::Exception::append(), G::Str::fromInt(), G_DEBUG, and G::Exception::m_what.

## Member Data Documentation

int G::Pam::Error::m_pam_error

Definition at line 74 of file gpam.h.

The documentation for this class was generated from the following files:

- gpam.h
- gpam.cpp